GeminiGemini
Demo environmentGet API key
  • Overview
  • Crypto Trading
  • Prediction Markets
  • Perpetuals
  • Stocks
  • API Reference
  • SDKs & Tools
Changelog
Gemini logoGemini logo

© 2026 Gemini Space Station, Inc.

Overview
Spot
    OverviewGet started
    Orders API
    Market Data API
    Fund Management API
      Crypto Fund Management
        List Deposit AddressesCreate New Deposit AddressWithdraw Crypto FundsGet Gas Fee EstimationList Approved AddressesCreate New Approved AddressRemove Approved Address
      Cash & Fiat Management
      Balances & Account Transfers
    Instant Orders API
    WebSocket API
    FIX API
Margin
    Overview
    Margin REST API
      Get Margin Account SummaryGet Margin Interest RatesPreview Margin Order Impact
Staking
    Overview
    Staking REST API
      List Staking BalancesStake Crypto FundsUnstake Crypto FundsList Staking Event HistoryList Staking RatesList Staking Rewards
Clearing
    Clearing REST API
      Clearing Orders
      Broker & Trade Operations

Create New Approved Address

TradingFund ManagementCreate New Approved Address

Create New Approved Address

POSThttps://api.gemini.com/v1/approvedAddresses/{network}/request

Adds a new address to the Approved Address list. A 7-day waiting period begins immediately after the request. This endpoint is only accessible via API keys with Trusted IP controls configured.

POSTv1/approvedAddresses/ethereum/request
curl --request POST \
  --url https://api.gemini.com/v1/approvedAddresses/ethereum/request \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '
{
  "request": "/v1/approvedAddresses/ethereum/request",
  "nonce": "<nonce>",
  "address": "0x0000000000000000000000000000000000000000",
  "label": "my-eth-address"
}
'

Roles

The API key you use to access this endpoint must have the Fund Manager role assigned. See Roles for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Path Parameters

networkstring·required
Can be bitcoin, ethereum, bitcoincash, litecoin, zcash, filecoin, dogecoin, tezos, solana, polkadot, avalanche, cosmos, or xrpl

Request Body

requeststring·required
The literal string "/v1/approvedAddresses/:network/request" where `:network` can be `bitcoin`, `ethereum`, `bitcoincash`, `litecoin`, `zcash`, `filecoin`, `dogecoin`, `tezos`, `solana`, `polkadot`, `avalanche`, `cosmos`, or `xrpl`
nonceTimestampType | integer·required
timestampExample: 1495127793000
addressstring·required
A string of the address to be added to the approved address list.
labelstring·required
The label of the approved address.
accountstring
Required for Master API keys as described in [Private API Invocation](/authentication/api-key#private-api-invocation). The name of the account within the subaccount group. Specifies the account on which you intend to add the approved address.
memostring
it would be present if applicable, it will be present for cosmos address.
Example request body
{
  "request": "/v1/approvedAddresses/ethereum/request",
  "nonce": "<nonce>",
  "address": "0x0000000000000000000000000000000000000000",
  "label": "api_added_ETH_address",
  "account": "primary"
}

Responses

Successful operation

messagestring
Status or confirmation message for the approved address request or removal.
resultstring
Result status (e.g. ok).
Example Responses
{
  "message": "Approved address addition is now waiting a 7-day approval hold before activation."
}
PreviousList Approved AddressesNextRemove Approved Address